/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetRegistryInfoEvent.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.registry.event {

import com.adobe.cairngorm.control.CairngormEvent;

import org.ow2.easybeans.console.registry.model.RegistryModelLocator;


/**
 * Event used in order to get data on the registry.
 * @author Florent Benoit
 */
public class GetRegistryInfoEvent extends CairngormEvent {

    /**
     * Name of the Event.
     */
    public static const EVENT_GET_REGISTRYINFO : String = "getRegistryInfo" + RegistryModelLocator.getInstance().componentID;

    /**
     * Default constructor.
     */
    public function GetRegistryInfoEvent() {
        super(EVENT_GET_REGISTRYINFO);
    }


}
}
